{% extends "reddit_quiz/base.html" %}
{% load static %}

{% block title %}
  Quiz evaluation form
{% endblock %}

{% block header %}
  <link rel="stylesheet" href="{% static "reddit_quiz/quiz_evaluate.css" %}" />
{% endblock %}

{% block content %}
  <h1>Quiz evaluation for "[[ quiz.title ]]"</h1>
  <form v-on:submit.prevent>
    {% csrf_token %}
    <fieldset>
      <legend>Questions:</legend>
      <fieldset v-for="question in quiz.questions" :key="question.code">
        <legend>[[ question.question ]]</legend>
        <div class="answeroption" v-for="answerOption in question.answer_options" :key="answerOption.code" >
              <input
                     :value="answerOption.code"
                     :name="'answer-'+question.code"
                     @input="recordAnswer(question, answerOption)"
                     type="radio"
              >
              <span for="">[[ answerOption.answer ]]</span>
            </div>
      </fieldset>
    </fieldset>
    <div
        :class="{ error: error, success: !error}"
    >[[ resultMessage ]]</div>
    <button
        @click="submit()"
        :disabled="!isValid || attemptsLeft <= 0 || solved"
    >Submit</button>
  </form>

{#  <pre>[[ answers ]]</pre>#}
{% endblock %}


{% block extra_content %}
  {{ quiz|json_script:"quiz-data" }}
  {# Pass constants to the other scripts #}
  <script type="application/javascript">const MAX_ATTEMPTS = {{ MAX_ATTEMPTS }}</script>

  <script src="{% static "reddit_quiz/quiz_evaluate.js" %}"></script>
{% endblock %}
